org.apache.ignite.internal.processors.igfs

## Class IgfsHelperImpl

- java.lang.Object
- - org.apache.ignite.internal.processors.igfs.IgfsHelperImpl

All Implemented Interfaces:
  IgfsHelper

    public class IgfsHelperImpl
    extends Object
    implements IgfsHelper

IGFS utils processor.

### Constructor Summary

Constructors
Constructor and Description
`IgfsHelperImpl()`

### Method Summary

Methods
`boolean` `isIgfsBlockKey(Object key)` Check whether object is of type `IgfsBlockKey`
`void` `preProcessCacheConfiguration(CacheConfiguration cfg)` Pre-process cache configuration.
`void` `validateCacheConfiguration(CacheConfiguration cfg)` Validate cache configuration for IGFS.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IgfsHelperImpl

    public IgfsHelperImpl()

### Method Detail

#### preProcessCacheConfiguration

    public void preProcessCacheConfiguration(CacheConfiguration cfg)

Pre-process cache configuration.

Specified by:
  `preProcessCacheConfiguration` in interface `IgfsHelper`
Parameters:
  `cfg` - Cache configuration.

#### validateCacheConfiguration

    public void validateCacheConfiguration(CacheConfiguration cfg)
                                    throws IgniteCheckedException

Validate cache configuration for IGFS.

Specified by:
  `validateCacheConfiguration` in interface `IgfsHelper`
Parameters:
  `cfg` - Cache configuration.
Throws:
  `IgniteCheckedException` - If validation failed.

#### isIgfsBlockKey

    public boolean isIgfsBlockKey(Object key)

Check whether object is of type `IgfsBlockKey`

Specified by:
  `isIgfsBlockKey` in interface `IgfsHelper`
Parameters:
  `key` - Key.
Returns:
  `True` if IGFS block key.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.4.0
Release Date | : September 24 2015